# import the pygame module, so you can use it
import pygame
import math

tilesize = 32

def myround(x, base=32):
    return base * round(x/base)

def update_player(player, screen, x, y, direction, seconds):
    player = pygame.image.load(direction + ".png")
    screen.blit(player,(x, y))
    
    keys = pygame.key.get_pressed()
    if keys[pygame.K_LEFT]:
        direction = 'left'
        x = myround(x - tilesize * seconds, tilesize)
    if keys[pygame.K_RIGHT]:
        direction = 'right'
        x = myround(x + tilesize * seconds, tilesize)
    if keys[pygame.K_DOWN]:
        direction = 'down'
        y = myround(y + tilesize * seconds, tilesize)
    if keys[pygame.K_UP]:
        direction = 'up'
        y = myround(y - tilesize * seconds, tilesize)

    pygame.display.flip()

    return [player, screen, x, y, direction]

# define a main function
def main():
    
    # 42
    width = tilesize * 16
    height = tilesize * 9
    
    # initialize the pygame module
    pygame.init()
    clockobject = pygame.time.Clock()
    # load and set the logo
    logo = pygame.image.load("holeymoley.jpg")
    pygame.display.set_icon(logo)
    pygame.display.set_caption("minimal program")
     
    # create a surface on screen that has the size of 240 x 180
    screen = pygame.display.set_mode((width,height),pygame.RESIZABLE)
    player = pygame.image.load("down.png")
    

    # font = pygame.font.Font('Roboto-Regular.ttf', 32)
    

    
    # define a variable to control the main loop
    running = True

    x = 0
    y = 0
    direction = 'down'
    
    elapsed = 0.
    # main loop
    while running:
        screen.fill((255,255,255))
        seconds = elapsed/1000.0
        
        result = update_player(player, screen, x, y, direction, seconds)
        x = result[2]
        y = result[3]
        direction = result[4]
        elapsed = clockobject.tick(60)

        # event handling, gets all event from the event queue
        for event in pygame.event.get():
            # only do something if the event is of type QUIT
            if event.type == pygame.QUIT:
                # change the value to False, to exit the main loop
                running = False
            elif event.type == pygame.KEYDOWN:
                if event.key == pygame.K_f:
                    pygame.display.toggle_fullscreen()

        
     
     
# run the main function only if this module is executed as the main script
# (if you import this as a module then nothing is executed)
if __name__=="__main__":
    # call the main function
    main()